%global pypi_name restsh
%global commit          4eb9f05d03cb3ab4e99c636b40be420a2fbe5915
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           python-%{pypi_name}
Version:        0.2
Release:        1%{?dist}
Summary:        A client for test and access to REST services

License:        BSD
URL:            https://github.com/jespino/restsh
Source0:        https://github.com/jespino/%{pypi_name}/archive/%{commit}/%{pypi_name}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-versiontools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-versiontools


%description
RestSH is a shell for easy test and use REST services.

%package -n python2-%{pypi_name}
Summary:	A client for test and access to REST services
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires: python2-requests

%description -n python2-%{pypi_name}
RestSH is a shell for easy test and use REST services.

%package -n python3-%{pypi_name}
Summary:	A client for test and access to REST services
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires: python3-requests

%description -n python3-%{pypi_name}
RestSH is a shell for easy test and use REST services.

%prep
%setup -q -n %{pypi_name}-%{commit}
# this file shouldn't be executable => strip shebang
sed -i '1d' restshlib/restshlib.py

%build
%py2_build
%py3_build


%install
%py2_install
rm %{buildroot}%{_bindir}/*
%py3_install
 
%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}lib
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{_bindir}/restsh
%{python3_sitelib}/%{pypi_name}lib
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Jul 27 2016 Charalampos Stratakis <cstratak@redhat.com> - 0.2-1
- Provide a Python 3 subpackage
- Move binary to Python 3 subpackage
- Modernize SPEC
- Add missing requires on python-requests
- Use latest github snapshot

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 03 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1-1
- Initial package.
